
body {
  font-family: 'Varela Round', sans-serif;
}

nav {
  background-color: crimson;
  width: auto;
}

nav ul {
  list-style-type: none;
  padding: 10px;
}

nav ul li {
  display: inline-block;
  margin-left: 50px;
}

a {
  color: black;
}

a:link {
  float: left;
  display: block;
  text-decoration: none;
  text-align: center;
  font-weight: bold;
  font-size: 30px;
  padding: 10px 10px;
}

nav li:hover {
  background-color: white;
  border-radius: 25px;
  box-shadow: 0px 4px 4px 0px;
}

h2 {
  font-weight: bold;
  font-size: 30px;
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
}

h3 {
  font-size: 20px;
  text-align: center;
  margin-bottom: 20px;
}

#gameboard {
  border: 5px black solid;
  margin: auto;
  width: 1300px;
}

#categories {
  text-align: center;
  margin-top: 20px;
  margin-bottom: 20px;
  font-family: 'Dosis', sans-serif;
  font-size: 35px;
}

#categories div {
  display: inline-block;
  border: 1px black solid;
  background-color: crimson;
  color: white;
  height: 70px;
  width: 230px;
  margin: auto;
  padding: 10px;
}

#levelone {
  text-align: center;
  margin-bottom: 20px;
  font-family: 'DotGothic16', sans-serif;
}

#levelone div {
  font-size: 50px;
  display: inline-block;
  border: 1px black solid;
  background-color: crimson;
  color: rgb(252, 238, 160);
  height: 70px;
  width: 230px;
  margin: auto;
  padding: 10px;
}

#levelone div:hover {
  transform: scale(1.1);
  transition: 350ms;
  box-shadow: 0px 4px 4px 0px black;
  cursor: pointer;
}

#leveltwo {
  text-align: center;
  margin-bottom: 20px;
  font-family: 'DotGothic16', sans-serif;
}

#leveltwo div {
  font-size: 50px;
  display: inline-block;
  border: 1px black solid;
  background-color: crimson;
  color: rgb(252, 238, 160);
  height: 70px;
  width: 230px;
  margin: auto;
  padding: 10px;
}

#leveltwo div:hover {
  transform: scale(1.1);
  transition: 350ms;
  box-shadow: 0px 4px 4px 0px black;
  cursor: pointer;
}

#levelthree {
  text-align: center;
  margin-bottom: 20px;
  font-family: 'DotGothic16', sans-serif;
}

#levelthree div {
  font-size: 50px;
  display: inline-block;
  border: 1px black solid;
  background-color: crimson;
  color: rgb(252, 238, 160);
  height: 70px;
  width: 230px;
  margin: auto;
  padding: 10px;
}

#levelthree div:hover {
  transform: scale(1.1);
  transition: 350ms;
  box-shadow: 0px 4px 4px 0px black;
  cursor: pointer;
}

#levelfour {
  text-align: center;
  margin-bottom: 20px;
  font-family: 'DotGothic16', sans-serif;
}

#levelfour div {
  font-size: 50px;
  display: inline-block;
  border: 1px black solid;
  background-color: crimson;
  color: rgb(252, 238, 160);
  height: 70px;
  width: 230px;
  margin: auto;
  padding: 10px;
}

#levelfour div:hover {
  transform: scale(1.1);
  transition: 350ms;
  box-shadow: 0px 4px 4px 0px black;
  cursor: pointer;
}

#levelfive {
  text-align: center;
  margin-bottom: 20px;
  font-family: 'DotGothic16', sans-serif;
}

#levelfive div {
  font-size: 50px;
  display: inline-block;
  border: 1px black solid;
  background-color: crimson;
  color: rgb(252, 238, 160);
  height: 70px;
  width: 230px;
  margin: auto;
  padding: 10px;
}

#levelfive div:hover {
  transform: scale(1.1);
  transition: 350ms;
  box-shadow: 0px 4px 4px 0px black;
  cursor: pointer;
}

footer {
  background-color: crimson;
  height: 100px;
  margin-top: 20px;
  text-align: center;
  padding-top: 40px;
  font-weight: bold;
}

/* modal css test */
.modal-bg {
  position: fixed;
  width: 100%;
  height: 100vh;
  top: 0;
  left: 0;
  background-color: rgba(0,0,0,0.5);
  display: flex;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition: visibility 0s, opacity 0.5s;
  }
.bg-active {
  visibility: visible;
  opacity: 1;
}

.modal {
  background-color: white;
  width: 600px;
  height: 300px;
  display: flex;
  justify-content: center;
  flex-direction: column;
  padding: 20px;
}

.modal button {
  padding: 10px 30px;
  background-color: #2980b9;
  border-radius: 25px;
  color: white;
  border: none;
  cursor: pointer;
  margin-left: 30px;
  margin-top: 30px;
}

#questionText {
  text-align: center;
  line-height: 25px;
}

input[type=radio] {
  margin-left: 20px;
}

label {
  line-height: 25px;
  margin: 10px;
}

.clicked {
  background-color: black !important;
  color: black !important;
  pointer-events: none !important; 
 
}
